ECHO OFF
IF "%1"=="" GOTO TEXT
if not exist xyplot.std goto warning
if not exist %1 goto NotFound
copy %1 xxx.dat
xyscale %1 %2 %3 %4 %5 %6
ECHO *********************************************************************
ECHO *   XY-plot of concentrations from Kincaid or Indianapolis.         *
ECHO *                                                                   *
ECHO *   A file for use with GRAPHER has been prepared.                  *
ECHO *                                                                   *
ECHO *   It has the name XYPLOT.GRF                                      *
ECHO *                                                                   *
ECHO *   If you have Grapher installed, you can go to the Windows        *
ECHO *   environment and doubleclick XYPLOT.GRF                          *
ECHO *                                                                   *
ECHO *********************************************************************
GOTO SLUT
:TEXT
ECHO *********************************************************************
ECHO *          XY-plot of concentrations from Kincaid/Indianapolis      *
ECHO *                                                                   *
ECHO *   Command:                                                        *
ECHO *     XYPLOT  yymmddhr.dat [ y/n  a/xmin xmax ymin ymax ]           *
ECHO *   where                                                           *
ECHO *      yymmddhr.dat  : File name, e.g. 80050711.dat                 *
ECHO *      y/n           : Current date on plot ?                       *
ECHO *      a/xmin ...    : Axis limits: Automatic or user data.         *
ECHO *                                                                   *
ECHO *                                                          .        *
ECHO *********************************************************************
goto slut
:Warning
echo:
echo:
echo  Warning: the file XYPLOT.STD   MUST be present in the current directory.
echo:
echo  You can find  XYPLOT.STD  in the folder Grapher_tools.
echo:
echo:
goto slut
:NotFound
echo:
echo:
echo  Error: The file %1 cannot be found.
echo:
echo:
echo:
:SLUT
ECHO ON
